# $Revision: 1.8 $, $Date: 2012/03/08 17:06:24 $
Summary:	USB network redirection protocol libraries
Summary(pl.UTF-8):	Biblioteki protokołu przekierowania USB przez sieć
Name:		usbredir
Version:	0.4.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://spice-space.org/download/usbredir/%{name}-%{version}.tar.bz2
# Source0-md5:	dcd8d33b777d633caffbe6dcf482fab1
URL:		http://cgit.freedesktop.org/~jwrdegoede/usbredir/
BuildRequires:	libusb-devel >= 1.0.9
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
usbredir is a protocol for redirection USB traffic from a single USB
device, to a different (virtual) machine then the one to which the USB
device is attached. This package contains a number of libraries to
help implementing support for usbredir:

usbredirparser: A library containing the parser for the usbredir
protocol

usbredirhost: A library implementing the usb-host side of a usbredir
connection. All that an application wishing to implement an usb-host
needs to do is:
- Provide a libusb device handle for the device
- Provide write and read callbacks for the actual transport of
  usbredir data
- Monitor for usbredir and libusb read/write events and call their
  handlers

%description -l pl.UTF-8
usbredir to protokół pozwalający przekierować ruch USB z pojedynczego
urządzenia USB na inną (wirtualną) maszynę, a następnie na taką, do
której urządzenie USB jest podłączone. Ten pakiet zawiera biblioteki
pomagające przy implementacji usbredir:

usbredirparser - biblioteka zawierająca analizator protokołu usbredir

usbredirhost - biblioteka implementująca stronę hosta USB połączenia
usbredir. Wszystko, co musi zrobić aplikacja chcąca implementować
host USB, to:
- zapewnienie uchwytu libusb dla urządzenia USB
- zapewnienie wywołań zapisu i odczytu dla transportu danych usbredir
- monitorowanie zdarzeń odczytu/zapisu usbredir oraz libusb i
  wywoływanie ich procedur obsługi.

%package devel
Summary:	Development files for usbredir
Summary(pl.UTF-8):	Pliki programistyczne usbredir
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-devel >= 1.0.9

%description devel
This package contains the header files for developing applications
that use usbredir.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących usbredir.

%package static
Summary:	Static usbredir libraries
Summary(pl.UTF-8):	Statyczne biblioteki usbredir
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static usbredir libraries.

%description static -l pl.UTF-8
Statyczne biblioteki usbredir.

%package server
Summary:	Simple USB-host TCP server
Summary(pl.UTF-8):	Prosty serwer TCP hosta USB
License:	GPL v2+
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description server
A simple USB-host TCP server, using libusbredirhost.

%description server -l pl.UTF-8
Prosty serwer TCP hosta USB wykorzystujący libusbredirhost.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.multi-thread TODO
%attr(755,root,root) %{_libdir}/libusbredirhost.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusbredirhost.so.1
%attr(755,root,root) %{_libdir}/libusbredirparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusbredirparser.so.0

%files devel
%defattr(644,root,root,755)
%doc usb-redirection-protocol.txt
%attr(755,root,root) %{_libdir}/libusbredirhost.so
%attr(755,root,root) %{_libdir}/libusbredirparser.so
%{_includedir}/usbredirfilter.h
%{_includedir}/usbredirhost.h
%{_includedir}/usbredirparser.h
%{_includedir}/usbredirproto.h
%{_pkgconfigdir}/libusbredirhost.pc
%{_pkgconfigdir}/libusbredirparser.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libusbredirhost.a
%{_libdir}/libusbredirparser.a

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/usbredirserver

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: usbredir.spec,v $
Revision 1.8  2012/03/08 17:06:24  qboosh
- updated to 0.4.2

Revision 1.7  2012/02/26 19:13:36  qboosh
- updated to 0.4.1 (bugfix release)

Revision 1.6  2012/02/24 13:57:08  qboosh
- updated to 0.4

Revision 1.5  2012/01/14 06:56:49  qboosh
- updated to 0.3.3

Revision 1.4  2012/01/05 20:42:11  qboosh
- updated to 0.3.2

Revision 1.3  2012/01/05 20:22:42  qboosh
- pl
- new Source URL

Revision 1.2  2011/11/01 21:41:12  glen
- pass CC, verbose files

Revision 1.1  2011/11/01 21:35:15  glen
- new, from fedora
